On Thu, Jul 21, 2005 at 11:29:49PM +0900, nobu.nokada / softhome.net wrote:
> Hi,
> 
> At Thu, 21 Jul 2005 23:09:51 +0900,
> Lucas Nussbaum wrote in [ruby-talk:149072]:
> > I tested using Debian's and Ubuntu's packages.
> > What if you ulimit -n 16384 first ?
> > Does it still work ?
> > It worked for me with values around 1000 too. But after increasing the
> > ulimit for open files, it started crashing.
> 
> I think it has been fixed in CVS trunk.
> 
>   Fri Jun  3 23:23:02 2005  Nobuyoshi Nakada  <nobu / ruby-lang.org>
>   
>   	* intern.h (rb_fdset_t): deal with fd bit sets over FD_SETSIZE.
>   	  fixed: [ruby-dev:26187]

Could somebody confirm ? The Debian/Ubuntu package is versioned
1.9.0+20050623-2, so it *might* be based on the ruby 1.9 CVS after that
bug was fixed, and it still crashes for me. (is the CVS HEAD ruby1.9 ?
I'm not familiar with Ruby development)
-- 
| Lucas Nussbaum
| lucas / lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas / nussbaum.fr             GPG: 1024D/023B3F4F |